##### 7.5.14.0. polyVars

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  polyVars(f,v); f poly, v intvec

Return:
  int, 1 if f contains only variables indexed by v, 0 otherwise

Example:

    LIB "dmodloc.lib";
    ring r = 0,(x,y,z),dp;
    poly f = y^2+zy;
    intvec v = 1,2;
    polyVars(f,v); // does f depend only on x,y?
    ==> 0
    v = 2,3;
    polyVars(f,v); // does f depend only on y,z?
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.